package java.security;

import java.security.spec.AlgorithmParameterSpec;

public abstract class KeyPairGeneratorSpi
{
    public KeyPairGeneratorSpi() {
    }
    
    public abstract void initialize(int p0, SecureRandom p1);
    
    public void initialize(AlgorithmParameterSpec algorithmParameterSpec, SecureRandom secureRandom) throws InvalidAlgorithmParameterException {
        throw new UnsupportedOperationException();
    }
    
    public abstract KeyPair generateKeyPair();
}
